csString Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csString Class Reference

Thin wrapper around csStringFast with its default buffer size. More...

`#include <csutil/csstring.h>`

Inheritance diagram for csString:

List of all members.

## Public Member Functions
| csString ()
| Create an empty csString object.
| csString (size_t Length)
| Create a csString object and reserve space for at least `Length` characters.
| csString (const char *src)
| Create a csString object from a null-terminated C string.
| csString (const char *src, size_t _length)
| Create a csString object from a C string, given the length.
| csString (const wchar_t *src)
| Create a csString object from a null-terminated wide string.
| csString (const wchar_t *src, size_t _length)
| Create a csStringBase object from a wide string, given the length.
| csString (char c)
| Create a csString object from a single signed character.
| csString (unsigned char c)
| Create a csString object from a single unsigned character.
| csString (const csString &copy)
| Copy constructor.
| csString (const csStringBase &copy)
| Copy constructor.
const csString & | operator= (const csString &copy)
| Assign a value to this string.
const csString & | operator= (const csStringBase &copy)
| Assign a value to this string.
const csString & | operator= (const char *copy)
| Assign a value to this string.
const csString & | operator= (char x)
| Assign a value to this string.
const csString & | operator= (unsigned char x)
| Assign a value to this string.
const csString & | operator= (bool x)
| Assign a value to this string.
const csString & | operator= (short x)
| Assign a value to this string.
const csString & | operator= (unsigned short x)
| Assign a value to this string.
const csString & | operator= (int x)
| Assign a value to this string.
const csString & | operator= (unsigned int x)
| Assign a value to this string.
const csString & | operator= (long x)
| Assign a value to this string.
const csString & | operator= (unsigned long x)
| Assign a value to this string.
const csString & | operator= (float x)
| Assign a value to this string.
const csString & | operator= (double x)
| Assign a value to this string.
const csString & | operator= (longlong x)
| Assign a value to this string.
const csString & | operator= (ulonglong x)
| Assign a value to this string.

## Detailed Description

Thin wrapper around csStringFast with its default buffer size.

Definition at line 1171 of file csstring.h.

## Constructor & Destructor Documentation

csString::csString | ( |  | ) | `[inline]`

Create an empty csString object.

Definition at line 1175 of file csstring.h.

csString::csString | ( | size_t | Length | ) | `[inline]`

Create a csString object and reserve space for at least `Length` characters.

Definition at line 1180 of file csstring.h.

csString::csString | ( | const csString & | copy | ) | `[inline]`

Copy constructor.

Definition at line 1183 of file csstring.h.

csString::csString | ( | const csStringBase & | copy | ) | `[inline]`

Copy constructor.

Definition at line 1185 of file csstring.h.

csString::csString | ( | const char * | src | ) | `[inline]`

Create a csString object from a null-terminated C string.

Definition at line 1188 of file csstring.h.

csString::csString | ( | const char * | src,
|  | size_t | _length
| ) |  | `[inline]`

Create a csString object from a C string, given the length.

Definition at line 1190 of file csstring.h.

csString::csString | ( | const wchar_t * | src | ) | `[inline]`

Create a csString object from a null-terminated wide string.

Definition at line 1192 of file csstring.h.

csString::csString | ( | const wchar_t * | src,
|  | size_t | _length
| ) |  | `[inline]`

Create a csStringBase object from a wide string, given the length.

Definition at line 1194 of file csstring.h.

csString::csString | ( | char | c | ) | `[inline]`

Create a csString object from a single signed character.

Definition at line 1197 of file csstring.h.

csString::csString | ( | unsigned char | c | ) | `[inline]`

Create a csString object from a single unsigned character.

Definition at line 1199 of file csstring.h.

## Member Function Documentation

const csString& csString::operator= | ( | const csString & | copy | ) | `[inline]`

Assign a value to this string.

Definition at line 1203 of file csstring.h.

const csString& csString::operator= | ( | const csStringBase & | copy | ) | `[inline]`

Assign a value to this string.

Reimplemented from csStringFast< LEN >.

Definition at line 1205 of file csstring.h.

const csString& csString::operator= | ( | const char * | copy | ) | `[inline]`

Assign a value to this string.

Definition at line 1207 of file csstring.h.

const csString& csString::operator= | ( | char | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1209 of file csstring.h.

const csString& csString::operator= | ( | unsigned char | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1211 of file csstring.h.

const csString& csString::operator= | ( | bool | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1213 of file csstring.h.

const csString& csString::operator= | ( | short | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1215 of file csstring.h.

const csString& csString::operator= | ( | unsigned short | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1217 of file csstring.h.

const csString& csString::operator= | ( | int | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1219 of file csstring.h.

const csString& csString::operator= | ( | unsigned int | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1221 of file csstring.h.

const csString& csString::operator= | ( | long | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1223 of file csstring.h.

const csString& csString::operator= | ( | unsigned long | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1225 of file csstring.h.

const csString& csString::operator= | ( | float | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1227 of file csstring.h.

const csString& csString::operator= | ( | double | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1229 of file csstring.h.

const csString& csString::operator= | ( | longlong | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1232 of file csstring.h.

const csString& csString::operator= | ( | ulonglong | x | ) | `[inline]`

Assign a value to this string.

Definition at line 1234 of file csstring.h.

The documentation for this class was generated from the following file:

- csutil/csstring.h